---
updatedAt: 2025-04-29T08:39:17.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Get billing cycle details of accounts

```
GET /accounts/billing-cycles
```

<HTMLBlock>{`
<div></div>

<style></style>
`}</HTMLBlock>

Get Billing Cycle details of Current Account.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/billing-cycles": {
      "get": {
        "summary": "Get billing cycle details of accounts",
        "description": "",
        "operationId": "billing-cycle-details-of-current--sub-account",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_data\": [\n    {\n      \"id\": 1,\n      \"from\": 1271924465,\n      \"to\": 1275264000,\n      \"visitorsAllowed\": 101000,\n      \"invoice\": null,\n      \"plan\": {\n        \"id\": 1,\n        \"type\": \"FREE\",\n        \"price\": 0,\n        \"description\": \"Free account for existing beta users\",\n        \"isEnterprise\": false,\n        \"totalVisitors\": 100000,\n        \"isUnlimitedPlan\": false,\n        \"isTopVisitorPlan\": false\n      },\n      \"isCurrent\": false,\n      \"visitorsUsed\": 7,\n      \"usages\": [\n        {\n          \"account\": 1,\n          \"visitorsUsed\": 7\n        },\n        {\n          \"account\": 874,\n          \"visitorsUsed\": 0\n        },\n        {\n          \"account\": 916,\n          \"visitorsUsed\": 0\n        },\n        {\n          \"account\": 1413,\n          \"visitorsUsed\": 0\n        },\n        {\n          \"account\": 2904,\n          \"visitorsUsed\": 0\n        }\n      ]\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "from": {
                            "type": "integer",
                            "example": 1271924465,
                            "default": 0
                          },
                          "to": {
                            "type": "integer",
                            "example": 1275264000,
                            "default": 0
                          },
                          "visitorsAllowed": {
                            "type": "integer",
                            "example": 101000,
                            "default": 0
                          },
                          "invoice": {},
                          "plan": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "type": {
                                "type": "string",
                                "example": "FREE"
                              },
                              "price": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              },
                              "description": {
                                "type": "string",
                                "example": "Free account for existing beta users"
                              },
                              "isEnterprise": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "totalVisitors": {
                                "type": "integer",
                                "example": 100000,
                                "default": 0
                              },
                              "isUnlimitedPlan": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "isTopVisitorPlan": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              }
                            }
                          },
                          "isCurrent": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "visitorsUsed": {
                            "type": "integer",
                            "example": 7,
                            "default": 0
                          },
                          "usages": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "account": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "visitorsUsed": {
                                  "type": "integer",
                                  "example": 7,
                                  "default": 0
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```